org.apache.http.impl.conn.tsccm

## Class AbstractConnPool

- java.lang.Object
- - org.apache.http.impl.conn.tsccm.AbstractConnPool

- 已知直接子类：
    ConnPoolByRoute

  已过时。
  （4.2）使用`AbstractConnPool`

      @Deprecated
      public abstract class AbstractConnPool
      extends Object

  抽象连接池。 它被`ThreadSafeClientConnManager`使用 。 抽象池包括一个`poolLock` ，用于同步访问内部池数据结构。 为此不要使用`synchronized` ！
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IdleConnectionHandler` | `idleConnHandler` 已过时。
    `protected boolean` | `isShutDown` 已过时。 指示此池是否关闭。
    `protected Set<BasicPoolEntryRef>` | `issuedConnections` 已过时。
    `protected Set<BasicPoolEntry>` | `leasedConnections` 已过时。
    `protected int` | `numConnections` 已过时。
    `protected Lock` | `poolLock` 已过时。 这个池的全局锁。
    `protected ReferenceQueue<Object>` | `refQueue` 已过时。

  - ### 构造方法摘要

    构造方法
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractConnPool()` 已过时。 创建一个新的连接池。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `closeConnection(OperatedClientConnection conn)` 已过时。 关闭此池的连接。
    `void` | `closeExpiredConnections()` 已过时。
    `void` | `closeIdleConnections(long idletime, TimeUnit tunit)` 已过时。 关闭空闲连接。
    `abstract void` | `deleteClosedConnections()` 已过时。 删除所有连接关闭的条目。
    `void` | `enableConnectionGC()` 已过时。
    `abstract void` | `freeEntry(BasicPoolEntry entry, boolean reusable, long validDuration, TimeUnit timeUnit)` 已过时。 返回到池中的条目。
    `BasicPoolEntry` | `getEntry(HttpRoute route, Object state, long timeout, TimeUnit tunit)` 已过时。 在给定的超时内获取连接的池条目。
    `protected abstract void` | `handleLostEntry(HttpRoute route)` 已过时。
    `void` | `handleReference(Reference<?> ref)` 已过时。
    `abstract PoolEntryRequest` | `requestPoolEntry(HttpRoute route, Object state)` 已过时。 返回一个新的`PoolEntryRequest` ，从中可以获得`BasicPoolEntry` ，或者请求可以中止。
    `void` | `shutdown()` 已过时。 关闭此池和所有相关资源。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### poolLock

          protected final Lock poolLock

      已过时。
      这个池的全局锁。

    - #### leasedConnections

          protected Set<BasicPoolEntry> leasedConnections

      已过时。

    - #### numConnections

          protected int numConnections

      已过时。

    - #### isShutDown

          protected volatile boolean isShutDown

      已过时。
      指示此池是否关闭。

    - #### issuedConnections

          protected Set<BasicPoolEntryRef> issuedConnections

      已过时。

    - #### refQueue

          protected ReferenceQueue<Object> refQueue

      已过时。

    - #### idleConnHandler

          protected IdleConnectionHandler idleConnHandler

      已过时。

  - ### 构造方法详细信息

    - #### AbstractConnPool

          protected AbstractConnPool()

      已过时。
      创建一个新的连接池。

  - ### 方法详细信息

    - #### enableConnectionGC

          public void enableConnectionGC()
                                  throws IllegalStateException

      已过时。
      异常
        `IllegalStateException`

    - #### getEntry

          public final BasicPoolEntry getEntry(HttpRoute route,
                                Object state,
                                long timeout,
                                TimeUnit tunit)
                                        throws ConnectionPoolTimeoutException,
                                               InterruptedException

      已过时。
      在给定的超时内获取连接的池条目。
      参数
        `route` - 获取连接的路由
        `state` - 状态
        `timeout` - 超时，0或否定超时
        `tunit` -为对所述单元 `timeout` ，可以是 `null`只有如果没有超时
      结果
        池条目持有该路由的连接
      异常
        `ConnectionPoolTimeoutException` - 如果超时过期
        `InterruptedException` - 如果调用线程中断

    - #### requestPoolEntry

          public abstract PoolEntryRequest requestPoolEntry(HttpRoute route,
                                          Object state)

      已过时。
      返回一个新的`PoolEntryRequest` ，从中可以获得`BasicPoolEntry` ，或者请求可以中止。
      参数
        `route` - 路线
        `state` - 状态
      结果
        入场请求

    - #### freeEntry

          public abstract void freeEntry(BasicPoolEntry entry,
                       boolean reusable,
                       long validDuration,
                       TimeUnit timeUnit)

      已过时。
      返回到池中的条目。 预期条目的连接处于合适的状态，打开和重新使用或关闭。 游泳池不会尝试确定是否可以重新使用。
      参数
        `entry` - 连接释放的条目
        `reusable` - `true`如果条目被视为可重用， `false`否则。
        `validDuration` - 条目应保持自由和可重用的持续时间。
        `timeUnit` - 测量持续时间的单位。

    - #### handleReference

          public void handleReference(Reference<?> ref)

      已过时。

    - #### handleLostEntry

          protected abstract void handleLostEntry(HttpRoute route)

      已过时。

    - #### closeIdleConnections

          public void closeIdleConnections(long idletime,
                                  TimeUnit tunit)

      已过时。
      关闭空闲连接。
      参数
        `idletime` - 连接应该空闲的时间，以便现在关闭
        `tunit` - 单位为 `idletime`

    - #### closeExpiredConnections

          public void closeExpiredConnections()

      已过时。

    - #### deleteClosedConnections

          public abstract void deleteClosedConnections()

      已过时。
      删除所有连接关闭的条目。

    - #### shutdown

          public void shutdown()

      已过时。
      关闭此池和所有相关资源。 覆盖方法必须在这里调用实现！

    - #### closeConnection

          protected void closeConnection(OperatedClientConnection conn)

      已过时。
      关闭此池的连接。
      参数
        `conn` - 连接关闭，或 `null`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585